Bug 518872 - [FEATURE] exchange flag auto-delete is not recognizable
Summary: [FEATURE] exchange flag auto-delete is not recognizable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: 1.1.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Ted Ross
QA Contact: Jan Sarenik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 18:04 UTC by Frantisek Reznicek
Modified: 2015-11-16 01:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
QMF did not show the auto-delete flag per exchange, though the feature is planned to be implemented later. In the exchange creating process, the flag is already one of parameters. With this update, the visibility of this not yet implemented flag is introduced.
Clone Of:
Environment:
Last Closed: 2010-10-14 16:15:22 UTC


Attachments (Terms of Use)
Shell script used to reproduce/verify this bug (582 bytes, text/plain)
2010-02-12 17:47 UTC, Jan Sarenik
no flags Details
Updated reproducer/verifier script (1.04 KB, text/plain)
2010-03-04 16:23 UTC, Jan Sarenik
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 15:56:44 UTC
Red Hat Bugzilla 519214 None None None Never

Description Frantisek Reznicek 2009-08-23 18:04:07 UTC
Description of problem:
Every exchange (as queue) can be declared as auto-delete.

Python-qpid tools and qmf as well does not show this bit.

It would be good to show it.


Version-Release number of selected component (if applicable):
1.1.6 MRG set and earlier.

How reproducible:
100%

Steps to Reproduce:
1. declare exchange as auto-delete
2. issue qpid-config exchanges or 
   qpid-tool<<<"show org.apache.qpid.broker:exchange"

3. No such flag is available


Actual results:
No exchange auto-delete flag exists.

Expected results:
It would be great to add such bit.

Additional info:

Comment 1 Ted Ross 2009-08-25 16:49:07 UTC
Note that auto-delete is not implemented for exchanges.  Raised in BZ 519214.

Comment 2 Ted Ross 2009-08-25 16:50:37 UTC
This bug is fixed upstream in revision 807712.

Note that this only fixes the visibility issue by adding the flag.  Since the feature is not supported, the flag will always be false.

Comment 4 Jan Sarenik 2010-02-10 12:32:39 UTC
I do not see a straightforward way how to create an exchange
with auto-delete flag enabled using qpid-config. How did you
do it, Frantisek?

Otherwise, there is row for autoDelete property, which as Ted
writes above is still not implemented for exchanges, so it should
be always False.

Is ensuring this on to-be-built packages and all RHEL releases
enough to verify this BZ?

Comment 5 Frantisek Reznicek 2010-02-12 15:58:16 UTC
The creation of the auto-delete exchange can be done via qc_exchange clients.
For instance:
./qc_exchange.py -e rere -t direct --exchange-auto-delete

The autoDelete property should be present in new version (in contrast to MRG 1.2).

We are not able to validate the feature, because broker does not implement the feature. So existence of that bit is enough.

Comment 6 Jan Sarenik 2010-02-12 17:47:18 UTC
Created attachment 390546 [details]
Shell script used to reproduce/verify this bug

The script does not care about repositories,
they have to be enabled implicitly with enablerepo=1
in appropriate file.

Comment 7 Jan Sarenik 2010-02-12 17:48:40 UTC
Verified on mrg-candidate
(RHEL5 i386 and x86_64)
  qpid-cpp-server-0.7.908272-1.el5
  python-qpid-0.5.904641-1.el5

Reproduced on mrg-stable
(RHEL5 i386 and x86_64)
  qpidd-0.5.752581-34.el5
  python-qpid-0.5.752581-4.el5
(RHEL4 i386 and x86_64)
  qpidd-0.5.752581-34.el4
  python-qpid-0.5.760500-6.el4

I will test RHEL4 packages as soon as they
arrive in -candidate repo.

Comment 8 Jan Sarenik 2010-03-04 16:23:11 UTC
Created attachment 397845 [details]
Updated reproducer/verifier script

Verified as well on RHEL4 (i386, x86_64):
  qpid-cpp-server-0.7.916826-2.el4
  qpid-tools-0.7.917557-4.el4

Comment 9 Martin Prpič 2010-10-07 13:11:59 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
QMF did not show the auto-delete flag per exchange, though the feature is planned to be implemented later. In the exchange creating process, the flag is already one of parameters. With this update, the visibility of this not yet implemented flag is introduced.

Comment 11 errata-xmlrpc 2010-10-14 16:15:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html


Note You need to log in before you can comment on or make changes to this bug.